Mailinglist Archive: opensuse-buildservice (193 mails)

< Previous Next >
[opensuse-buildservice] Re: Dependencies supplied by subproject found for some repos, not for others
  • From: Andreas Schwab <schwab@xxxxxxxxxxxxxx>
  • Date: Thu, 30 Jan 2014 15:54:42 +0100
  • Message-id: <877g9hjz9p.fsf@igel.home>
Edgar Aichinger <edgar.aichinger@xxxxxx> writes:

So I branched those I need to a subproject of mine, and they build without
errors for the target repos I need. The subproject got added to my
project's meta config, for every target repo, too. Surprisingly I get
unresolvable dependencies, but only for some target repos though. qmidiarp
cannot find liblo-devel >= 0.26 (branches:home:rncbc has 0.27), and
synthclone shows missing liblilv-0-0 and a few others that the respective
-devel packages (from BuildRequires:) depend on.

You need to switch the order in the repository paths. For example,
openSUSE:13.1/liblo has version 0.25, which is found first since
openSUSE:13.1/standard is listed first in the openSUSE_13.1 repository
path, hiding the newer version in
home:edogawa:branches:home:rncbc/liblo. In general, you always want to
order the path from the most specific to the most general.

Andreas.

--
Andreas Schwab, schwab@xxxxxxxxxxxxxx
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756 01D3 44D5 214B 8276 4ED5
"And now for something completely different."
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References